Uses Cfg
Uses FBase

Const	ProgName	=	'MystTIC Tic Processor Config'
Const	ProgAuth	=	'Darryl Perry, 2003'

Var C1			Char
Var C2			Char
Var I1			Integer
Var B1			Integer
Var FBDisplay	String
Var CfgInDir	String
Var CfgTag		String	Array (1..15)
Var CfgFBFile	String	Array (1..15)

Function SelectFB : String
Var A2		Integer
Var Cnt		Integer
Var Num		Integer
Var TTXT	String
Begin
	cls
	WriteLn('Available File Bases')
	WriteLn('----------------------------------------------------------')
	A2:=1
	Cnt:=1
	While GetFBase(A2)
		WriteLn(PadLt(Int2Str(A2),2,' ')+') ' + FBName)
		If Cnt > 20 Then
			Write('|CR|PA')
			Cnt:=1
		Endif
		A2:=A2+1
		Cnt:=Cnt+1
	Wend
	Write('|CRSelect File Base : ')
	Num:=Str2Int(Input(3,3,11,''))
	TTXT:=''
	If Num > 0 and Num < Cnt Then
		If GetFBase(Num) Then
			If InputYN('|CR|CR'+FBName+'|CR|CRIs this what you want? ') Then
				TTXT:=FBFileName
			Endif
		Endif
	Endif
	SelectFB:=TTXT
Pend

Procedure SaveCfg
Var I3	Integer
Var Path	String
Begin
	GetCfg
	Path:=CfgDataPath+'MystTic.Dat'	
	fOpen(1,Text,Rewrite,Path)
	fWriteLn(1,CfgInDir)
	For I3:=1 to 15
		fWriteLn(1,CfgTag(I3))
		fWriteLn(1,CfgFBFile(I3))
	Fend
	fClose(1)
Pend

Procedure ReadCfg
Var I3	Integer
Var Path String
Begin
	GetCfg
	Path:=CfgDataPath+'MystTic.Dat'	
	If Not fExist(Path) Then
		Exit
	Else
		fOpen(1,Text,Reset,Path)
		fReadLn(1,CfgInDir)
		For I3:=1 to 15
			fReadLn(1,CfgTag(I3))
			fReadLn(1,CfgFBFile(I3))
		Fend
		fClose(1)
	Endif
	
Pend

Procedure EditTag(Q1 Char)
Var A1	Integer
Var A2	Integer
Begin
	A1:=Ord(Q1)-65
	While C2 <> 'Q'
		If Length(CfgTag(A1))>0 Then
			A2:=1
			While GetFBase(A2)
				If FBFileName = CfgFBFile(A1) Then
					FBDisplay:=FBName 
				Endif
				A2:=A2+1
			Wend
		Endif
		WriteLn('|CL')
		WriteLn('(A) Tag   : ' + CfgTag(A1))
		WriteLn('(B) FBase : ' + FBDisplay)
		Write('|CRCommand (Q=Quit) : ')
		C2:=OneKey('ABQ')
		If 		C2 = 'A'	Then
			Write('|CREnter File Echo Tag : ')
			CfgTag(A1):=Input(8,8,12,'')
		Elseif	C2 = 'B'	Then
			CfgFBFile(A1):=SelectFB
		Endif
	Wend
Pend

Begin
	ReadCfg
	While C1 <> 'Q' 
		Cls
		WriteLn(ProgName + ' by ' + ProgAuth)
		WriteLn('(A) Inbound Directory|CR: '+CfgInDir+'|CR')
		For I1:=1 to 15
			If Length(CfgTag(I1)) <> 0 Then
				B1:=1
				While GetFBase(B1)
					If FBFileName = CfgFBFile(I1) Then
						FBDisplay:=FBName
					Endif
					B1:=B1+1
				Wend
			Else
				FBDisplay:='Not Used'
			Endif
		WriteLn('('+Chr(I1+65)+') ' + PadRt(CfgTag(I1),8,' ') + ' -> '+FBDisplay)
		Fend
		Write('|CRCommand: (Q=Quit) : ')
		C1:=OneKey('ABCDEFGHIJKLMNOPQZ')
		If 		C1 = 'A'	Then	
			Write('|CREnter the inbound file path where the TIC files are found|CR:')
			CfgInDir:=Input(75,75,11,'')			
		Elseif 	C1 > 'A' and C1 < 'P' 	Then	EditTag(C1)
		ElseIf	C1 = 'Q' Then SaveCfg
		Endif
	Wend
end
